"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IstioCtlResultsParser = void 0;
const exec_1 = require("../exec");
const logger_1 = require("../logger");
class IstioCtlResultsParser {
    constructor() {
        this.istioctlBinary = 'istioctl';
        this.logger = new logger_1.Logger({ namespace: 'istioctl-parser' });
        const istioctlBinary = process.env.ISTIOCTL_BINARY;
        if (typeof istioctlBinary === 'string') {
            this.istioctlBinary = istioctlBinary;
        }
        this.exec = new exec_1.Exec();
    }
    async parse({ onDisk }) {
        this.logger.debug('running istioctl validate');
        const command = `${this.istioctlBinary} validate -f ${onDisk}`;
        await this.exec.command(command, { throw: true });
    }
}
exports.IstioCtlResultsParser = IstioCtlResultsParser;
IstioCtlResultsParser.ENABLED = process.env.HELM_TEST_ISTIOCTL_ENABLED === 'true';
